Bug 1201978 (CVE-2016-3709)

Summary: VUL-0: CVE-2016-3709: libxml2,libxml2-python,rubygem-nokogiri: Cross-site scripting vulnerability in libxml
Product: [Novell Products] SUSE Security Incidents Reporter: Hu <cathy.hu>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: david.anes, duge, mrueckert, pmonrealgonzalez, security-team, stoyan.manolov, thomas.leroy
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/338444/
Whiteboard: CVSSv3.1:SUSE:CVE-2016-3709:6.8:(AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:H/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Hu 2022-07-29 08:40:02 UTC
CVE-2016-3709

Possible cross-site scripting vulnerability in libxml after commit 960f0e2.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-3709
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-3709
https://mail.gnome.org/archives/xml/2018-January/msg00010.html
Comment 1 Hu 2022-07-29 08:40:34 UTC
Fix: https://github.com/GNOME/libxml2/commit/c1ba6f54d32b707ca6d91cb3257ce9de82876b6f

Affected:
- SUSE:SLE-12-SP2:Update/libxml2            2.9.4
- SUSE:Carwos:1/libxml2                     2.9.7
- SUSE:SLE-15:Update/libxml2                2.9.7

Not affected (already contains fix):
- SUSE:SLE-11-SP1:Update/libxml2            2.7.6
- SUSE:SLE-11-SP1:Update/libxml2-python     2.7.6
- SUSE:SLE-15-SP4:Update/libxml2            2.9.14
- openSUSE:Factory/libxml2                  2.9.14
Comment 2 Moritz Duge 2022-08-02 10:50:40 UTC
If there will be a new libxml2 version, please coordinate with bug 1202053.
Comment 3 Thomas Leroy 2022-08-29 12:24:57 UTC
Reassigning.
David, could you please submit to SUSE:SLE-12-SP2:Update/libxml2 and SUSE:SLE-15:Update/libxml2 please? :)
Comment 4 Pedro Monreal Gonzalez 2022-08-29 16:48:47 UTC
(In reply to Thomas Leroy from comment #3)
> Reassigning.
> David, could you please submit to SUSE:SLE-12-SP2:Update/libxml2 and
> SUSE:SLE-15:Update/libxml2 please? :)

Hello, since David is on vacation I will take care of this.
Comment 6 Pedro Monreal Gonzalez 2022-08-29 20:59:17 UTC
For the nokogiri warning, note that both LibXML versions 2.9.{12,14} are ABI/API compatible. Since there is no libxml2 change for Leap 15.4, there is not much we can do from libxml2. A rebuild of the nokogiri package would fix the warning, please contact its maintainer.
Comment 7 Pedro Monreal Gonzalez 2022-08-29 21:00:19 UTC
(In reply to Thomas Leroy from comment #3)
> Reassigning.
> David, could you please submit to SUSE:SLE-12-SP2:Update/libxml2 and
> SUSE:SLE-15:Update/libxml2 please? :)

All submitted, assigning back to security-team.
Comment 8 Thomas Leroy 2022-08-30 07:29:49 UTC
(In reply to Pedro Monreal Gonzalez from comment #7)
> (In reply to Thomas Leroy from comment #3)
> > Reassigning.
> > David, could you please submit to SUSE:SLE-12-SP2:Update/libxml2 and
> > SUSE:SLE-15:Update/libxml2 please? :)
> 
> All submitted, assigning back to security-team.

Thank you very much Pedro!
FYI @Markus
Comment 12 Swamp Workflow Management 2022-10-25 13:27:43 UTC
SUSE-SU-2022:3717-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1201978,1204366,1204367
CVE References: CVE-2016-3709,CVE-2022-40303,CVE-2022-40304
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    libxml2-2.9.4-46.59.2, python-libxml2-2.9.4-46.59.3
SUSE OpenStack Cloud 9 (src):    libxml2-2.9.4-46.59.2, python-libxml2-2.9.4-46.59.3
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    libxml2-2.9.4-46.59.2
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    libxml2-2.9.4-46.59.2, python-libxml2-2.9.4-46.59.3
SUSE Linux Enterprise Server 12-SP5 (src):    libxml2-2.9.4-46.59.2, python-libxml2-2.9.4-46.59.3
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    libxml2-2.9.4-46.59.2, python-libxml2-2.9.4-46.59.3
SUSE Linux Enterprise Server 12-SP3-BCL (src):    libxml2-2.9.4-46.59.2, python-libxml2-2.9.4-46.59.3
SUSE Linux Enterprise Server 12-SP2-BCL (src):    libxml2-2.9.4-46.59.2, python-libxml2-2.9.4-46.59.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-11-04 17:28:28 UTC
SUSE-SU-2022:3871-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1201978,1204366,1204367
CVE References: CVE-2016-3709,CVE-2022-40303,CVE-2022-40304
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
openSUSE Leap 15.4 (src):    python-libxml2-python-2.9.7-150000.3.51.1
openSUSE Leap 15.3 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Manager Server 4.1 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Manager Retail Branch Server 4.1 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Manager Proxy 4.1 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server for SAP 15 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Server 15-LTSS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Module for Python2 15-SP3 (src):    python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Micro 5.2 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise Micro 5.1 (src):    libxml2-2.9.7-150000.3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Enterprise Storage 7 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE Enterprise Storage 6 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1
SUSE CaaS Platform 4.0 (src):    libxml2-2.9.7-150000.3.51.1, python-libxml2-python-2.9.7-150000.3.51.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.